import request from '@/utils/request'
// const baseURL = process.env.VUE_APP_BASE_API
const baseURL = ''

// 获取系统列表
export function getSystemList(params) {
  return request({
    url: `${baseURL}/cc/system/list`,
    method: 'get',
    params: params
  })
}

// 创建系统
export function addSystem(data) {
  return request({
    url: `${baseURL}/cc/system/create`,
    method: 'post',
    data
  })
}

// 修改系统信息
export function updateSystem(data) {
  return request({
    url: `${baseURL}/cc/system/update`,
    method: 'post',
    data
  })
}

// 删除系统
export function deleteSystem(data) {
  return request({
    url: `${baseURL}/cc/system/delete`,
    method: 'post',
    data
  })
}
